# Generated by go2rpm
%bcond_with check

# https://github.com/coreos/go-systemd
%global goipath         github.com/coreos/go-systemd
Version:                22.1.0

%gometa

%global goaltipaths     github.com/coreos/go-systemd/v22

%global godevelheader %{expand:
Obsoletes:      golang-github-coreos-go-systemd-devel < 18-2
}

%global common_description %{expand:
Go bindings to systemd. The project has several packages:

 - activation - for writing and using socket activation from Go
 - daemon - for notifying systemd of service status changes
 - dbus - for starting/stopping/inspecting running services and units
 - journal - for writing to systemd's logging service, journald
 - sdjournal - for reading from journald by wrapping its C API
 - login1 - for integration with the systemd logind API
 - machine1 - for registering machines/containers with systemd
 - unit - for (de)serialization and comparison of unit files
}

%global golicenses      LICENSE NOTICE
%global godocs          examples CONTRIBUTING.md README.md code-of-conduct.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:        %mkrel 1
Summary:        Go bindings to systemd socket activation, journal, D-Bus, and unit files
Group:          Development/Other
# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.lock
Source2:        glide.yaml
BuildArch:      noarch

BuildRequires:  golang(github.com/godbus/dbus/v5)

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
# internal/dlopen: https://github.com/coreos/go-systemd/issues/339
%gocheck -d dbus -d journal -d login1 -d machine1 -d sdjournal -d import1 -d internal/dlopen
%endif

%gopkgfiles



%changelog
* Sun Sep 06 2020 pterjan <pterjan> 22.1.0-1.mga8
+ Revision: 1623008
- Disable tests for now, they fail on sd_pid_get_slice after checking they are running under systemd
- Add Obsoletes for old name
- Sync with Fedora
- Renamed to golang-github-coreos-systemd

* Wed Nov 28 2018 pterjan <pterjan> 18-1.mga7
+ Revision: 1336458
- Sync with fedora
+ juancho <juancho>
- imported package golang-github-coreos-go-systemd

